Bug 241024 (cmake-3.15.4) - [exp-run] Upgrade cmake to 3.15.4
Summary: [exp-run] Upgrade cmake to 3.15.4
Status: Closed FIXED
Alias: cmake-3.15.4
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://github.com/freebsd/freebsd-po...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-02 18:10 UTC by Tobias C. Berner
Modified: 2019-10-06 15:24 UTC (History)
2 users (show)

See Also:
antoine: exp-run+


Attachments
v1 (1.61 KB, patch)
2019-10-02 18:10 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2019-10-02 18:10:23 UTC
Created attachment 208045 [details]
v1

Hi there


kde@ would like to ask for an exp-run to upgrade cmake to 3.15.4.

The patch is attached, and can also be found here:
https://people.freebsd.org/~tcberner/patches/cmake-3.15.4.v1.diff

mfg Tobias
Comment 1 Antoine Brodin freebsd_committer 2019-10-04 18:51:35 UTC
Exp-run looks fine
Comment 2 commit-hook freebsd_committer 2019-10-05 15:59:07 UTC
A commit references this bug:

Author: adridg
Date: Sat Oct  5 15:58:36 UTC 2019
New revision: 513830
URL: https://svnweb.freebsd.org/changeset/ports/513830

Log:
  Update cmake to latest upstream release, 3.15.4

   - https://cmake.org/cmake/help/v3.15/release/3.15.html#id4
   - fixed regression in EXCLUDE_FROM_ALL

  Thanks to Tobias for prep-work and Antoine for the exp-run.

  PR:		241024

Changes:
  head/devel/cmake/Makefile
  head/devel/cmake/distinfo
  head/devel/cmake-doc/Makefile
  head/devel/cmake-gui/Makefile